apiVersion: apps/v1
kind: Deployment
metadata:
  name: expedience-api-deployment
  namespace: expedience
spec:
  replicas: 1
  selector:
    matchLabels:
      app: expedience-api
  template:
    metadata:
      labels:
        app: expedience-api
    spec:
      containers:
      - name: expedience-api
        image: registry.ilitirit.net/expedience-api:latest
        ports:
        - containerPort: 80
      imagePullSecrets:
        - name: registry-credentials